%define _name glib

Name: glib2
Version: 2.2.1
Release: alt1

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Summary: A library of handy utility functions
License: LGPL
Group: System/Libraries
Url: ftp://ftp.gnome.org

Source: %_name-%version.tar.bz2

Provides: lib%name = %version-%release
Obsoletes: lib%name

%define pkgconfig_ver 0.15
%define gtk_doc_ver 0.10
%define intltool_ver 0.25

BuildPreReq: pkgconfig >= %pkgconfig_ver
BuildPreReq: gtk-doc >= %gtk_doc_ver
BuildPreReq: intltool >= %intltool_ver

# Automatically added by buildreq on Mon Feb 03 2003
BuildRequires: docbook-dtds docbook-style-xsl docbook-utils gcc-c++ glibc-devel-static gtk-doc indent libxslt pkgconfig xml-common xsltproc

%description
Glib is a handy library of utility functions. This C
library is designed to solve some portability problems
and provide other useful functionality which most
programs require.

Glib is used by GDK, GTK+ and many applications.
You should install Glib because many of your applications
will depend on this library.

%package devel
Summary: GIMP Toolkit and GIMP Drawing Kit support library
Group: Development/C
Requires: %name = %version-%release, pkgconfig
Provides: lib%name-devel = %version
Obsoletes: lib%name-devel

%description devel
Shared libraries and header files for the support library for the GIMP's X
libraries, which are available as public libraries. GLIB includes generally
useful data structures.

%package devel-static
Summary: GIMP Toolkit and GIMP Drawing Kit support library
Group: Development/C
Requires: %name-devel = %version-%release
Provides: lib%name-devel-static = %version
Obsoletes: lib%name-devel-static

%description devel-static
Static libraries  for the support library for the GIMP's X libraries,
which are available as public libraries. GLIB includes generally
useful data structures.

%prep
%setup -q -n %_name-%version

%build
%configure --enable-static \
	    --enable-gtk-doc
%make

%install
%make_install DESTDIR=%buildroot \
        LIBRARY_PATH=%buildroot%_libdir install

%__cat <<__SH__ >%name.sh
## This caused GLib2 applications to convert filenames from
## locale encoding to UTF-8. If the locale encoding is already
## UTF-8 then it makes no difference.

export G_BROKEN_FILENAMES=1
__SH__

%__cat <<__CSH__ >%name.csh
## This caused GLib2 applications to convert filenames from
## locale encoding to UTF-8. If the locale encoding is already
## UTF-8 then it makes no difference.

setenv G_BROKEN_FILENAMES 1
__CSH__

%__install -pD -m755 %name.sh %buildroot%_sysconfdir/profile.d/%name.sh
%__install -pD -m755 %name.csh %buildroot%_sysconfdir/profile.d/%name.csh

%find_lang glib20

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -f glib20.lang
%_libdir/*.so.*
%_sysconfdir/profile.d/*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_bindir/*
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/glib-2.0
%_libdir/pkgconfig/*
%_mandir/man?/*
%_datadir/aclocal/*
%_datadir/glib-2.0
%doc %_datadir/gtk-doc/html/*

%files devel-static
%_libdir/*.a

%changelog
* Mon Feb 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Sat Dec 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Dec 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3

* Wed Nov 27 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-alt2
- remove deps on csh by fixing headers of /etc/profile.d files

* Tue Nov 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.7-alt1
- 2.0.7

* Sun Sep 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt2
- glib2.{sh,csh) added (RH).

* Sat Sep 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.6-alt1
- 2.0.6
- fixed-ltmain.sh removed, not needed more.
- post/postun scripts improved.
- gcc-3.2 used.

* Fri Jun 14 2002 Igor Androsov <blake@altlinux.ru> 2.0.4-alt1
- New release

* Wed May 29 2002 Igor Androsov <blake@altlinux.ru> 2.0.3-alt2
- Return removed in 2.0.1-alt2 fixed-ltmain.sh - fixed not installing
  gobject, module, gthread if host where building not have installed
  glib2-devel

* Tue May 28 2002 Igor Androsov <blake@altlinux.ru> 2.0.3-alt1
- New release

* Thu May 23 2002 Igor Androsov <blake@altlinux.ru> 2.0.1-alt2
- clean spec
- added /usr/share/glib-2.0/*

* Sun Mar 31 2002 AEN <aen@logic.ru> 2.0.1-alt1
- new verson

* Wed Mar 27 2002 AEN <aen@logic.ru> 2.0.0-alt1
- release

* Tue Feb 05 2002 AEN <aen@logic.ru> 1.3.12.90-alt2
- .so links moved to devel

* Wed Jan 09 2002 AEN <aen@logic.ru> 1.3.12.90 -alt1
- sources from Rawide

* Wed Oct 17 2001 AEN <aen@logic.ru> 1.3.9-alt1
- new version

* Tue Sep 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.3.7-alt1
- Renamed to glib2.

* Fri Sep 21 2001 Stanislav Ievlev <inger@altlinux.ru> 1.3.7-alt1
- 1.3.7

* Fri Jun 15 2001 AEN <aen@logic.ru> 1.3.6-alt1
- new version
- BuildReq added
- Make patch
* Thu May 31 2001 Stanislav Ievlev <inger@altlinux.ru> 1.3.5-alt1
- 1.3.5

* Fri Apr 20 2001 Stanislav Ievlev <inger@altlinux.ru> 1.3.4-alt1
- Up to 1.3.4. Cleanup spec, librification, statification

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation

* Mon Nov 20 2000 DindinX <odin@mandrakesoft.com> 1.3.2-3mdk
- redo my patch to best fit glib-1.3.2
- move %%doc to -devel

* Mon Nov 20 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.2-2mdk
- regenerate Dindinx's patch.

* Sat Nov 18 2000 Daouda Lo <daouda@mandrakesoft.com> 1.3.2-1mdk
- release

* Wed Nov 15 2000 DindinX <odin@mandrakesoft.com> 1.3.1-1mdk
- version 1.3.1 (first pre2)

